package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;
import android.widget.BaseAdapter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface OptionHisListStyleConstact {
	interface View extends BaseView<Presenter> {
		void setAdapter(BaseAdapter adapter);
		void setPageTitle(String pageTitle);
		void setMoreOptionText(String btnMoreTextStr);
		void finishPage();
		void readQRCode();
		void setBottomBtnVisibility(int visibility);
		void setMoreOptionVisibility(int visibility);
		void setBottomText(String bottomTextStr);
		void vibrate(int duration);
	}

	interface Presenter extends BasePresenter {
		void onItemClickListener(int position);
		void onItemLongClickListener(int position);
		void backBtnClick();
		void moreOptionClick();
		void onActivityResult(int requestCode, int resultCode, Intent data);
		void onResume();
		void uploadAllHisList();
		void scannerSuccess(String scannerContentStr);
	}

}
